<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{admin/dashboardLayout.html}">
<head>

</head>
<body>
<section class="row" layout:fragment="content">
  <div class="col mt-4">
    <div class="card">
      <div class="card-header">
        <h2>List of Products</h2>
      </div>
      <div class="card-body">
        <div th:if="${message} != null" class="alert alert-primary" role="alert">
          <i>[[${message}]]</i>
        </div>
        <div class="row mt-2 mb-2">
          <div class="col">
            <form th:action="@{/admin/products}">
              <div class="form-inline float-left">
                <label for="name">Name:</label>
                <input type="text"
                       class="form-control ml-2" name="name" id="name" aria-describedby="nameId" placeholder="Name">
                <button class="btn btn-outline-primary ml-2">Search</button>
              </div>
            </form>
            <div>
              <a th:href="@{/admin/products/add}" class="btn btn-sm btn-outline-primary m-2 float-right">Add New Product</a>
            </div>
          </div>
          <div class="row" th:if="${!productPage.hasContent()}">
            <div class="col">
              <div class="alert alert-danger" role="alert">
                <strong>No Products found</strong>
              </div>
            </div>
          </div>
          <table class="table table-striped table-inverse"
                 th:if="${productPage.hasContent()}">
            <thead class="thead-inverse">
            <tr>
              <th>Product ID</th>
              <th>Name</th>
              <th>Image</th>
              <th>Status</th>
              <th>Price</th>
              <th></th>
            </tr>
            </thead>
            <tbody>
            <tr th:each=" product, istart: ${productPage.content}">
              <td scope="row">[[${product.productId}]]</td>
              <td th:text="${product.name}"></td>
              <td>
                <img id="image" th:src="${product.image != null ? '/admin/products/images/' + product.image  : '/admin/products/images/noimg.png'}"
                     width="100px">
              </td>
              <div>
                  <td th:if="${product.status} == 0" style="color: red">Out of stock</td>
                  <td th:if="${product.status} == 1">On Sale</td>
                  <td th:if="${product.status} == 2" style="color: green">Bestseller</td>
              </div>

              <td th:text="${product.unitPrice}"></td>
              <td>
                <a th:href="@{'/admin/products/edit/' + ${product.productId}}" class="btn btn-outline-warning">Edit</a>
                <a th:href="@{'/admin/products/delete/' + ${product.productId}}" class="btn btn-outline-danger">Delete</a>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
        <div class="card-footer text-muted">
          <form>
            <div class="form-inline float-left">
              <label for="size">Page size: </label>
              <select class="form-control" name="size" id="size"
                      onchange="this.form.submit()">
                <option th:selected="${productPage.size == 5}" value="5">5</option>
                <option th:selected="${productPage.size == 10}" value="10">10</option>
                <option th:selected="${productPage.size == 15}" value="15">15</option>
              </select>
            </div>
          </form>
          <nav aria-label="Page navigation"
               th:if="${productPage.totalPages > 0}">
            <ul class="pagination justify-content-center">
              <li th:class="${1 == productPage.number + 1} ? 'page-item active' : 'page-item'">
                <a th:href="@{/admin/products(name=${name}, size=${productPage.size}, page=${1})}"
                   class="page-link">First
                </a>
              </li>
              <li class="page-item active"
                  th:each="pageNumber : ${pageNumbers}"
                  th:if="${productPage.totalPages > 1}"
                  th:class="${pageNumber == productPage.number + 1} ? 'page-item active': 'page-item'">
                <a th:href="@{/admin/products(name=${name}, size=${productPage.size}, page=${pageNumber})}"
                   class="page-link"
                   th:text="${pageNumber}">
                </a>
              </li>

              <li th:class="${productPage.totalPages == productPage.number + 1} ? 'page-item-active' : 'page-item'">
                <a th:href="@{/admin/products(name=${name}, size=${productPage.size}, page=${productPage.totalPages})}"
                   class="page-link">Last
                </a>
              </li>
            </ul>
          </nav>
        </div>
      </div>

      </div>
    </div>
  </div>
</section>
</body>
</html>
